#!/bin/bash

# TTY required, use script
script -q -c "docker run \
	-it --rm \
	-e DISPLAY=$DISPLAY \
	--hostname geemyle-docker \
	-v /tmp/.X11-unix:/tmp/.X11-unix \
	-e SSH_AUTH_SOCK=$SSH_AUTH_SOCK \
	-e SSH_AGENT_PID=$SSH_AGENT_PID \
	-v $SSH_AUTH_SOCK:$SSH_AUTH_SOCK \
	-e LANG=$LANG \
	-v $HOME:$HOME \
	-v /tmp:/tmp \
	-e USER_UID=$(id -u) \
	-e USER_GID=$(id -g) \
	-e HOME=$HOME \
	-e USERNAME=$USER \
	-w $HOME \
	registre.easter-eggs.com/brenard/geemyle-docker:latest $@" /dev/null | \
		logger -t geemyle-docker
